#include "my_dust.h"
#include "nrf_drv_saadc.h"
#include "app_error.h"
#include "nrf_delay.h"
#include "nrf_gpio.h"

void saadc_callback(nrf_drv_saadc_evt_t const * p_event)
{
//   
}

void init_dustsensor(void)
{
    ret_code_t err_code;
    nrf_saadc_channel_config_t channel_config =
            NRF_DRV_SAADC_DEFAULT_CHANNEL_CONFIG_SE(NRF_SAADC_INPUT_AIN0);
    err_code = nrf_drv_saadc_init(NULL, saadc_callback);
    APP_ERROR_CHECK(err_code);

    err_code = nrf_drv_saadc_channel_init(0, &channel_config);
    APP_ERROR_CHECK(err_code);
}

uint16_t get_dust(void)
{
	  static nrf_saadc_value_t saadc_val;
	  static float val;
	
	  nrf_gpio_pin_clear(11);
	  nrf_delay_us(280);
	  nrf_drv_saadc_sample_convert(0,&saadc_val);
	  nrf_delay_us(40);
	  nrf_gpio_pin_set(11);
	
	  val = (saadc_val * 3.6 /1024.0 * 2);
	  val = (val*0.17-0.1);
	
	  return (float)val;
}
