#include "my_motor.h"
#include "nrf_drv_pwm.h"
#include "nrf_gpio.h"
#include "my_oled.h"

//pwmر
static nrf_drv_pwm_t m_pwm0 = NRF_DRV_PWM_INSTANCE(0);
#define USED_PWM(idx) (1UL << idx)
static uint8_t m_used = 0;
static uint16_t /*const*/ seq_values[] =
    {
        20,//
    };

	
void init_motor(void)
{   
	  nrf_gpio_cfg_output(4);
	  nrf_gpio_pin_clear(4);
	
    nrf_drv_pwm_config_t const config0 =
    {
        .output_pins =
        {
            5 | NRF_DRV_PWM_PIN_INVERTED, // channel 0 ֻһGPIO
            NRF_DRV_PWM_PIN_NOT_USED,             // channel 1
            NRF_DRV_PWM_PIN_NOT_USED,             // channel 2
            NRF_DRV_PWM_PIN_NOT_USED,             // channel 3
        },
        .irq_priority = APP_IRQ_PRIORITY_LOWEST,
        .base_clock   = NRF_PWM_CLK_1MHz,//  1Us   
        .count_mode   = NRF_PWM_MODE_UP,//
        .top_value    = 100,  //10Khz pwm
        .load_mode    = NRF_PWM_LOAD_COMMON,//PWMģʽ:ͬģʽ
        .step_mode    = NRF_PWM_STEP_AUTO
    };
    APP_ERROR_CHECK(nrf_drv_pwm_init(&m_pwm0, &config0, NULL));
    m_used |= USED_PWM(0);

    
    nrf_pwm_sequence_t const seq =
    {
        .values.p_common = seq_values,
        .length          = NRF_PWM_VALUES_LENGTH(seq_values),
        .repeats         = 0,//ظΪ0
        .end_delay       = 0
    };

    (void)nrf_drv_pwm_simple_playback(&m_pwm0, &seq, 1, NRF_DRV_PWM_FLAG_LOOP);
}		

void set_motor_speed(uint16_t motor_value)
{
	seq_values[0] = 100 - motor_value;
}

void motor_speed_disp(void)
{
	Draw_line(127, 0,(100-seq_values[0])/2);
}
