

#ifndef __OLED_H
#define	__OLED_H

#include "nrf.h"

#define LCD_SCL  13
#define LCD_SDA  14

#define XLevelL		0x00
#define XLevelH		0x10
#define XLevel	    ((XLevelH&0x0F)*16+XLevelL)
#define Max_Column	128
#define Max_Row		  64
#define	Brightness	0xCF 
#define X_WIDTH 128
#define Y_WIDTH 64



void LCD_Init(void);
void LCD_P6x8Ch(unsigned char x, unsigned char y,unsigned char ch);
void LCD_P6x8Str(unsigned char x, unsigned char y,unsigned char ch[]);
void LCD_P8x16Ch(unsigned char x, unsigned y,unsigned char ch);
void LCD_P8x16Str(unsigned char x, unsigned y,unsigned char ch[]);
void LCD_P16x16Ch(unsigned char x, unsigned char y,unsigned char  N);
void LCD_P20x40Ch(unsigned char x, unsigned char y,unsigned char  ch);
void Draw_BMP(unsigned char x0, unsigned char y0,unsigned char x1, unsigned char y1,unsigned char BMP[]);
void Draw_line(unsigned char x, unsigned char y,unsigned char len);
void fill_picture(unsigned char fill_Data);
void LCD_setContrast(uint8_t contrast);

void BH1750_Cmd(void);
void IIC_ACK(void);
void IIC_NACK(void);
uint8_t IIC_ReadByte(uint8_t ack);
uint16_t BH1750_Get(void);
void BH1750_Init(void);

#endif /* __OLED_H */






