// pages/air/air.js
var app=getApp();
let buffertrue = new ArrayBuffer(5)
let bufferfalse = new ArrayBuffer(6)
let dataViewtrue = new DataView(buffertrue)
let dataViewfalse = new DataView(bufferfalse)
dataViewtrue.setUint8(0, 65)
dataViewtrue.setUint8(1, 84)
dataViewtrue.setUint8(2, 43)
dataViewtrue.setUint8(3, 111)
dataViewtrue.setUint8(4, 110)

dataViewfalse.setUint8(0, 65)
dataViewfalse.setUint8(1, 84)
dataViewfalse.setUint8(2, 43)
dataViewfalse.setUint8(3, 111)
dataViewfalse.setUint8(4, 102)
dataViewfalse.setUint8(5, 102)

let buffer = new ArrayBuffer(5)
let dataView = new DataView(buffer)

Page({

  /**
   * 页面的初始数据
   */
  data: {
    myPm25:0,
    myPm1:0,
    myPm10:0,
    airquality:0
  },
  switch1Change: function (e){
    const innerAudioContext = wx.createInnerAudioContext()
    innerAudioContext.autoplay = true
    innerAudioContext.src = '/sound/switch.wav'
    console.log('switch1 发生 change 事件，携带值为', e.detail.value)
    if(e.detail.value == true)
      // 向蓝牙设备发送一个0x00的16进制数据
      wx.writeBLECharacteristicValue({
        deviceId: app.globalData.deviceid,
        serviceId: app.globalData.serviceid,
        characteristicId: app.globalData.writeServiceid,
        value: buffertrue,
        fail: (res) => {
          wx.showToast({
            title: '操作失败',
            icon: 'none',
            duration: 3000
          })
        },
      })
    else
      wx.writeBLECharacteristicValue({
        deviceId: app.globalData.deviceid,
        serviceId: app.globalData.serviceid,
        characteristicId: app.globalData.writeServiceid,
        value: bufferfalse,
        fail: (res) => {
          wx.showToast({
            title: '操作失败',
            icon: 'none',
            duration: 3000
          })
        },
      })
  },
  slider1change:function(e){
    console.log('slide1 发生 change 事件，携带值为', e.detail.value)
    dataView.setUint8(0, 65)
    dataView.setUint8(1, 84)
    dataView.setUint8(2, 43)
    dataView.setUint8(3, e.detail.value/10+48)
    dataView.setUint8(4, parseInt(e.detail.value%10)+48)
    console.log(buffer)
    wx.writeBLECharacteristicValue({
      deviceId: app.globalData.deviceid,
      serviceId: app.globalData.serviceid,
      characteristicId: app.globalData.writeServiceid,
      value: buffer,
      fail: (res) => {
        wx.showToast({
          title: '操作失败',
          icon: 'none',
          duration: 3000
        })
      },
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.stopPullDownRefresh()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
      var _this=this;
      var i=setInterval(function update(){
        _this.setData({
          myPm25: app.globalData.Pm25,
          myPm1:  app.globalData.Pm1,
          myPm10:  app.globalData.Pm10,
        })
        if(app.globalData.Pm25<35) {_this.setData({airquality:1,})}
        else if(app.globalData.Pm25<75) {_this.setData({airquality:2,})}
        else if(app.globalData.Pm25<115) {_this.setData({airquality:3,})}
        else if(app.globalData.Pm25<150) {_this.setData({airquality:4,})}
        else if(app.globalData.Pm25<250) {_this.setData({airquality:5,})}
        else  {_this.setData({airquality:6,})}
      }, 1000)
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    var deviceid = app.globalData.deviceid
    wx.closeBLEConnection({
      deviceid,
      success (res) {
        console.log(res)
      }
    })
    clearInterval(i)
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    const innerAudioContext = wx.createInnerAudioContext()
    innerAudioContext.autoplay = true
    innerAudioContext.src = '/sound/refresh.wav'
    innerAudioContext.onPlay(() => {
      console.log('开始播放')
    })
    this.setData({
      myPm25: app.globalData.Pm25,
      myPm1:  app.globalData.Pm1,
      myPm10:  app.globalData.Pm10,
    })
    if(app.globalData.Pm25<35) {this.setData({airquality:1,})}
    else if(app.globalData.Pm25<75) {this.setData({airquality:2,})}
    else if(app.globalData.Pm25<115) {this.setData({airquality:3,})}
    else if(app.globalData.Pm25<150) {this.setData({airquality:4,})}
    else if(app.globalData.Pm25<250) {this.setData({airquality:5,})}
    else  {this.setData({airquality:6,})}
    this.onLoad()
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})